From ec3261cbb92b14225d4bfb7c7cca74aec55ca7eb Mon Sep 17 00:00:00 2001
Message-Id: <ec3261cbb92b14225d4bfb7c7cca74aec55ca7eb.1736405390.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 9 Jan 2025 06:49:37 +0000
Subject: [PATCH] gnu: Add r-imola.

* gnu/packages/cran.scm (r-imola): New variable.

Change-Id: I0ecb417fe7dd1c9e1961ccc304a914bff50e87bd
---
 gnu/packages/cran.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 98597e3bbe..da8db066fa 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -10215,6 +10215,32 @@ (define-public r-idr
 by Li, Brown, Huang, and Bickel")
     (license license:gpl2+)))
 
+(define-public r-imola
+  (package
+    (name "r-imola")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "imola" version))
+       (sha256
+        (base32 "087zdzn1vkyvqrdlwnackr6jyacrhg69q4b77s8z477kplickw8x"))))
+    (properties `((upstream-name . "imola")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-glue
+                             r-htmltools
+                             r-magrittr
+                             r-shiny
+                             r-stringi
+                             r-yaml))
+    (native-inputs (list r-knitr r-testthat))
+    (home-page "https://github.com/pedrocoutinhosilva/imola")
+    (synopsis "CSS Layouts (Grid and Flexbox) Implementation for R/Shiny")
+    (description
+     "This package allows users to create CSS grid and flexbox layouts for R/Shiny
+without needing to write custom CSS.")
+    (license license:expat)))
+
 (define-public r-inext
   (package
     (name "r-inext")

base-commit: 981af9992881b7395692bd6233722464d173a51f
-- 
2.34.1

